* {
	box-sizing: border-box;
}

html {
	margin:0px;
	padding:0px;
	box-sizing: border-box; 
	background:linear-gradient(135deg, #1b0144, #28065e);
	font-family: 'Helvetica', Arial, sans-serif;
	background-attachment: fixed;
}

body{
	margin:0px;
	padding:0px;
	box-sizing: border-box; 
}

#bgdiv{
	position: fixed;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	opacity: 0.25;
	background-image: url('../images/backgroundpic.png');
	background-repeat: no-repeat;
	background-position: 56% 0;
	background-size: cover;
	z-index:-1;
  }

header{
    height:50vh;
    width:100%;
    position:relative;
}

    /* slideshow */
    .slideshow { 
        width: 100%;
        height: 100%;
        z-index: 0; 
        margin:0;
        position:absolute;
        top:0;
        left:0;
    }

    .slideshow li span { 
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0px;
        left: 0px;
        color: transparent;
        background-size: cover;
        background-position: 50% 50%;
        background-repeat: none;
        opacity: 1;
        z-index: 0;
 /*      animation: imageAnimation 100s linear infinite 0s;  */
    }

    .slideshow li:nth-child(1) span { 
        /*background-image: url(../images/001.jpg); */
		background-image: url(../images/banner.png);
    }
 /*   .slideshow li:nth-child(2) span { 
        background-image: url(../images/002.jpg);
        animation-delay: 10s; 
    }
    .slideshow li:nth-child(3) span { 
        background-image: url(../images/003.jpg);
        animation-delay: 20s; 
    }
    .slideshow li:nth-child(4) span { 
        background-image: url(../images/004.jpg);
        animation-delay: 30s; 
    }
    .slideshow li:nth-child(5) span { 
        background-image: url(../images/005.jpg);
        animation-delay: 40s; 
    }
    .slideshow li:nth-child(6) span { 
        background-image: url(../images/006.jpg);
        animation-delay: 50s; 
    }
    .slideshow li:nth-child(7) span { 
        background-image: url(../images/007.jpg);
        animation-delay: 60s; 
    }
    .slideshow li:nth-child(8) span { 
        background-image: url(../images/008.jpg);
        animation-delay: 70s; 
    }
    .slideshow li:nth-child(9) span { 
        background-image: url(../images/009.jpg);
        animation-delay: 80s; 
    }
    .slideshow li:nth-child(10) span { 
        background-image: url(../images/010.jpg);
        animation-delay: 90s; 
    }

    @keyframes imageAnimation { 
        0% { opacity: 0; animation-timing-function: ease-in; }
        3% { opacity: 1; animation-timing-function: ease-out; }
        10% { opacity: 1 }
        13% { opacity: 0 }
        100% { opacity: 0 }
    }*/

#title {
    z-index:1;
    position:absolute;
    width:100%;
    top:2rem;
    left:0;
}

#title h1{
    margin:0;
    color:#ffffff;
    font-size: 3.5rem;
    text-align:center;
    background-color:rgba(0,0,0,0.5);
}

#menu{
    Z-index:2;
    position:absolute;
    top:0.5rem;
    right:0;
    color:#ffffff;
	background-color:rgba(0,0,0,0.5);
	padding:0 1rem 0 1rem;
}

#menu a {
    color:#ffffff; 
    text-decoration: none;  
	cursor:pointer;
}

#userIcon{
	height:1em;
	vertical-align:middle;
}

#statscontainer {
	display:grid;
	grid-template-columns:25% 1fr 25%;
	z-index:1;
	position:relative;
}

#wonderland {
	grid-column-start: 1;
    grid-column-end: 2;
	color:#ffffff;
	text-align:right;
	padding:1rem;
	width:18rem;
	line-height: 1.3rem;
}

#kilometers {
	grid-column-start: 2;
    grid-column-end: 3;	
	width:100%;
	text-align:center;
	color:#ffffff;
    font-size:2.5rem;
    font-weight:bold;
}

#kilometers h1{
    margin:1rem;
}

#profile {
	grid-column-start: 2;
    grid-column-end: 3;	
	width:100%;
	text-align:center;
	color:#ffffff;
    font-size:2.5rem;
    font-weight:bold;
	align-self:center;
}

#profiletable {
	width:auto;
	margin:0;
	padding:0.5rem;
	text-align:left;
	color:#ffffff;
	font-size:1.5rem;
	margin:0 auto;
}

#profiletable td{
	width:auto;
	margin:0;
	padding:0.5rem;
	text-align:left;
	color:#ffffff;
	font-size:1.5rem;
	background-color: rgba(205, 205, 205, 0.3);
}



#addbutton {
    background-color:#0c9500;
    font-size:2rem;
    border-radius:20px;
    color:#ffffff;
    border:none;
    cursor:pointer;
    padding:0.5rem 1rem;
}

#addbutton:hover {
    background-color:#11c700;
}

#addbutton:active {
    margin:2px 0 0 2px;
    background-color:#15f301;
}

#stats {
	grid-column-start: 3;
    grid-column-end: 4;
	color:#ffffff;
	padding:1rem;
	font-size:0.8rem;
	line-height: 1.2rem;
}

#stats table{
	width:100%;
}

#stats table tr td{
	text-align:right;
}

#container {
    display:grid;
    grid-template-columns:1fr 80% 1fr;
	padding-bottom:3rem;
}

#wandelingen {
    position:relative;
    color:#ffffff;
    padding:0 2rem 0 2rem;
    grid-column-start: 2;
    grid-column-end: 3;
}

.wandeling {
    text-align:center;
	margin-bottom: 1rem;
	border-radius: 0.5rem;
	box-shadow: 0px 0px 10px 0px white;
	background:linear-gradient(135deg, #1b0144, #28065e);
}
.wandeling h2, .wandeling p {
    margin:0;
    padding-top:0.5rem;
	padding-left:0.5rem;
    text-align:left;
}

.wandeling p {
	line-height:1.5;
}

.wandeling h2{
	background-color:#3b2164;
	padding-bottom:0.5rem;
}

.wandelingcontent {
	display:grid;
    grid-template-columns:1fr 350px;
}

.wandelingomschrijving{
	grid-column-start: 1;
    grid-column-end: 2;
	padding:1rem;
	text-align:left;
	line-height:1.5;
}

.wandelingpic {
	grid-column-start: 2;
    grid-column-end: 3;
	text-align:right;
	padding:1rem;
}


.wandelingpic img{
	cursor:pointer;
	width:100%;
	transition:transform 0.5s, box-shadow 0.5s;
}

.wandelingpic img:hover{
	transform:scale(1.05);
	box-shadow: 3px 3px 5px 0px white;
}

#loginScreen {
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	z-index:10;
	background-color:rgba(0,0,0,0.7);
	display:none;
}


	/* login  */
	#loginerror {
		display:none;
		color:red;
	}

	.login {
		width: 400px;
		background-color: #ffffff;
		box-shadow: 0 0 9px 0 rgba(0, 0, 0, 0.3);
		margin: 100px auto;
		max-width: 80vw;
	}
	.login h1 {
		text-align: center;
		color: #5b6574;
		font-size: 24px;
		padding: 20px 0 20px 0;
		border-bottom: 1px solid #dee0e4;
	}
	.login form {
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
		padding-top: 20px;
	}
	.login form label {
		display: flex;
		justify-content: center;
		align-items: center;
		width: 50px;
		height: 50px;
		background-color: #3274d6;
		color: #ffffff;
	}
	.login form input[type="password"], .login form input[type="text"] {
		width: 310px;
		height: 50px;
		border: 1px solid #dee0e4;
		margin-bottom: 20px;
		padding: 0 15px;
	}
	.login form input[type="submit"] {
		width: 100%;
		padding: 15px;
		margin-top: 20px;
		background-color: #3274d6;
		border: 0;
		cursor: pointer;
		font-weight: bold;
		color: #ffffff;
		transition: background-color 0.2s;
	}
	.login form input[type="submit"]:hover {
		background-color: #022a67;
		transition: background-color 0.2s;
	}

	.imgwin {
		display:flex;
		align-items: center;
		justify-content: center;
		align-content: center;
		width:100%;
		height:100%;
	}

#addwandelingScreen {
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	z-index:11;
	background-color:rgba(0,0,0,0.7);
	display:none;
}

.closeicon {
	position:absolute;
	right:5px;
	top:5px;
	width:2rem;
	font-size:2rem;
	font-weight:bold;
	cursor:pointer;
}

.addwandeling {
	position:relative;
	width: 80%;
	min-width:750px;
  	background-color: #ffffff;
  	box-shadow: 0 0 9px 0 rgba(0, 0, 0, 0.3);
	margin: 100px auto;
}

.addwandeling h1 {
  	text-align: center;
  	color: #5b6574;
  	font-size: 24px;
  	padding: 20px 0 20px 0;
  	border-bottom: 1px solid #dee0e4;
}

.addwandeling form {
  	padding-top: 20px;
}

.addwandeling form label {
  	display: flex;
  	justify-content: center;
  	align-items: center;
  	width: 10rem;
  	height: 2rem;
  	background-color: #3274d6;
  	color: #ffffff;
}


.addwandeling form input[type="date"] {
  	width: 310px;
  	height: 2rem;
  	border: 1px solid #dee0e4;
  	margin-bottom: 20px;
  	padding: 0 15px;
}

.addwandeling form input[type="text"] {
  	width: 310px;
  	height: 2rem;
  	border: 1px solid #dee0e4;
  	margin-bottom: 20px;
  	padding: 0 15px;
}

#omschrijving {
	width: 620px;
	height: 11rem;
	border: 1px solid #dee0e4;
	margin-bottom: 20px;
	padding: 0 15px;
}

.inputfile{
	width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}



.addwandeling form input[type="number"] {
  	height: 2rem;
  	border: 1px solid #dee0e4;
  	margin-bottom: 20px;
  	padding: 0 15px;
}

.addwandeling form input[type="submit"] {
  	width: 100%;
  	padding: 15px;
 	margin-top: 20px;
  	background-color: #3274d6;
  	border: 0;
  	cursor: pointer;
  	font-weight: bold;
  	color: #ffffff;
  	transition: background-color 0.2s;
}

.addwandeling form input[type="submit"]:hover {
	background-color: #31027b;
  	transition: background-color 0.2s;
}

.addwandeling form table {
	margin:0 auto;
}

.addwandeling form table td {
	vertical-align: top;
}

.bigcomma {
	font-size:3rem;
}

#omschrijving {
	width:50vw;
	height:5rem;
}

#wandelingtoegevoegdScreen {
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	z-index:10;
	background-color:rgba(0,0,0,0.7);
	display:none;
}

#imgScreen {
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	z-index:10;
	background-color:rgba(0,0,0,0.7);
	display:none;
}

#loading {
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	z-index:100;
	background-color:#221947;
}

#wijzigwandelingScreen{
	position:absolute;
	top:0;
	left:0;
	width:100%;
	height:100%;
	z-index:10;
	background-color:rgba(0,0,0,0.7);
	display:none;
}

.wijzigbutton {
	float:right;
	padding:0.8rem;
	color:#ffffff;
	background-color:#221947;
	font-weight:bold;
	cursor:pointer;
	margin-top: -7px;
}

.wijzigbutton:hover {
	background-color:#423967;
}

#verwijderfoto {
	height:2rem;
	width:2rem;
}

#pagination {	
	margin-top:1rem;
	text-align:center;
	margin-bottom:3rem;
}

#pagination a {
  font-size:1.5rem;
  font-weight:bold;
  padding: 8px 16px;
  text-decoration: none;
   border-radius: 5px;
   color:#ffffff;
}

#pagination a.active {
  background-color: #aaaaaa;
  color: white;
   border-radius: 5px;
}

#pagination a:hover:not(.active) {
	background-color: #ddd;
	color:#221947;
}

.bigimage {
	max-width:96vw;
	max-height:96vh;
}

@media only screen and (max-width: 1000px) {
	header {
		height:30vh;
		width:100vw;
	}
	
	#title h1{
		font-size: 1.8rem;
		text-align:center;
		background-color:rgba(0,0,0,0.5);
	}
	
	#menu{
		right:0;
	}
	
	#statscontainer {
		display:grid;
		grid-template-columns:1fr;
	}
	
	#wonderland {
		display:none;
	}
	
	#kilometers {
		grid-column-start: 1;
		grid-column-end: 2;	
		font-size:1.5rem;
	}
	
	#stats {
		display:none;
	}
	
	#container {
		display:grid;
		grid-template-columns:1px 1fr 1px;
		padding-bottom:3rem;
		width:100%;
	}
	
	#wandelingen {
		position:relative;
		color:#ffffff;
		padding:0;
		grid-column-start: 2;
		grid-column-end: 3;
	}
	
	#wandelingen h1{
		font-size:1.5rem;
	}
	
	.wandeling h2, .wandeling p {
		max-width:100vw;
	}
	
	.wandelingcontent {
		display:block;
		max-width:100vw;
	}

	.wandelingomschrijving{
		padding:1rem;
		text-align:left;
	}

	.wandelingpic {
		text-align:center;
		padding:1rem;
	}
	
	.wandelingpîc img{
		width:96vw;
	}
	
	.login form input[type="password"], .login form input[type="text"] {
		width: 80%;
		height: 50px;
	}
	
	.addwandeling {
		min-width:98vw;
		margin: 2rem auto;
	}
	
	.addwandeling form label {
		display: flex;
		justify-content: center;
		align-items: center;
		padding:0.5rem;
		background-color:#3274d6;
		color: #ffffff;
		width:5rem;
		font-size:0.8rem;
	}
	
	.addwandeling form input[type="date"] {
		width: 70%;
	}

	.addwandeling form input[type="text"] {
		width: 70%;
	}
	
	#omschrijving {
		width:60vw;
	}
	
	#kmform {
		width:6rem;
	}
	
	#pagination a {
		font-size:1rem;
		padding: 4px 7px;
	}
}